Package org.opensaml.soap.wstrust.impl

# Class TokenTypeUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.core.xml.schema.impl.XSURIUnmarshaller
org.opensaml.soap.wstrust.impl.TokenTypeUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class TokenTypeUnmarshaller extends XSURIUnmarshaller
Unmarshaller for the wst:TokenType element.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`TokenTypeUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSURIUnmarshaller

`processElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TokenTypeUnmarshaller

public TokenTypeUnmarshaller()